Fonctions d'édition de AcDbCircle


Acad::ErrorStatus

setCenter(

const AcGePoint3d& Centre);

Centre Entrée : Un point SCG (Système de coordonnées général ) à employer comme centre du cercle.

Place le centre du cercle au point Centre, qui doit être dans des coordonnées SCG.

La valeur de point central est l'équivalent SCG du code 10 du groupe DXF.

Renvoie Acad::eOk en cas de succès, ou Acad::eInvalidInput si les données saisies ne sont pas acceptables.


Acad::ErrorStatus

setNormal(

const AcGeVector3d& normal);

normal Entrée : Vecteur normal du cercle (en coordonnées SCG) .

Place normal pour être la normale du plan contenant le cercle. normal doit être dans des coordonnées SCG et de longueur différente de zéro.

La valeur normale est employée pour le code 210 de groupe DXF.

Retourne Acad::eOk en cas de succès ou Acad::eInvalidInput si les données entrées ne sont pas acceptables.

▲haut de page

Acad::ErrorStatus

setRadius(

double Rayon);

Rayon Entrée : Rayon du cercle.

Place Rayon pour être le rayon du cercle. Rayon doit être supérieur à zéro.

La valeur de rayon est employée pour le code 40 de groupe DXF.

Retourne Acad::eOk en cas de succès ou Acad::eInvalidInput si les données entrées ne sont pas acceptables

▲haut de page

Acad::ErrorStatus

setThickness(

double Epaisseur);

Epaisseur Entrée : Epaisseur du cercle.

Définit Epaisseur comme étant la valeur d'épaisseur du cercle. L'épaisseur est la dimension de la ligne le long de la direction de son vecteur normal (parfois appelée direction d'extrusion).

La valeur de l'épaisseur est employée dans le code 39 du groupe DXF.

Retourne Acad::eOk en cas de succès ou Acad::eInvalidInput si les données entrées ne sont pas acceptables.

▲haut de page
www.cadfr.com  

Exemple de code:

AcGePoint3d Ccentre(10.0,10.0,0.0);
AcGeVector3d Normal (0,1,0);
double Rrayon = 5.0, Epaisseur = 2.0;

AcDbCircle *Ccercle = new AcDbCircle();
Ccercle->setCenter(Ccentre);
Ccercle->setRadius(Rrayon);
Ccercle->setNormal (Normal);
Ccercle->setThickness (Epaisseur);